Android P开始封杀老旧App:低于Android 4.1都无法运行!

从iOS 10开始,Apple摒弃32-Bit应用,这样的做法是,让设备运行效率更高,当然速度也更流畅,而现在Android P也要采取同样的做法了。日前有开发者发现了Google悄悄推出的一项Android新规定,那就是Android 4.1以前的应用(包含4.1)将无法在最新版的系统中运行。

 

Android P封杀老旧应用:低于这个版本都无法用了

简单来说就是,Google在Android P中的SDK增加了一项MIN_SUPPORTED_TARGET_SDK_INT,而如果开发者在应用中没有支持这个新规定(最低SDK版本为v17,即Android 4.2后的都可以),那么低于这个版本的应用将无法安装、使用。

 

开发者通过虚拟机模拟Android P之后,发现Android 4.1之前的应用都虽然是可以安装的,但是打开显示的弹窗是无法使用,所以在整理App这块,Google越来越像iOS看齐了。

 

虽说Android是开源系统,但Google正在对它的自由度慢慢锁。不少开发者对此吐槽称,这样无疑让安卓的开放性受到限制,让系统变得越来越像封闭的iOS系统。

 

(本文授权转载自合作伙伴快科技)

 

更多Zing彩:

 

本文:

Android P开始封杀老旧App:低于Android 4.1都无法运行!

更多精彩科技资讯,请留守 Zing Gadget 或 Facebook 、 Twitter 、Google+ 以及 YouTube 。

 

 

Source :

快科技

About author

mydrivers

快科技(原驱动之家)是行业内居于领先地位的一家提供科技资讯、产品评测和驱动程序下载的网站。 我们一直致力于为广大用户提供即时更新的科技信息资讯、全面的产品评测、各类移动应用下载以及免费提供稳定可靠的驱动相关服务。我们拥有大量的忠诚度极高的固定访问用户,日均独立访问者数超过150万,PV流量超过870万次。 快科技(原驱动之家)的科技资讯栏目是中国IT网站读者中公认最重要的第一手信息发布交流平台,为国内所有的综合门户网站与专业网站的固定重要信息来源,快科技(原驱动之家)的科技资讯发布后一个小时内就会传遍整个中国互联网络。 除了基础性的驱动下载服务外,我们还为用户提供免费的驱动程序自动更新服务——用户利用驱动之家自行研发的驱动精灵软件自动侦测计算机产品型号,自动安装相应驱动程序。用户数量当前已超过2000万人次。